Subject: Re: [PATCH] Fix e100 on systems that have cache incoherent DMA

From: David Acker <[email-masked]>
Date: Wed, 12 Sep 2007 16:11:21 -0400

James Chapman wrote:
> David Acker wrote:
>> Jeff Garzik wrote:
>>> pktgen outputs for the various cases modified/unmodified[/others?] 
>>> would be nice, if you have a spot of time.
>>>
>>>     Jeff
>>
>> I am not familiar with pktgen but I seem to have it working for a 
>> simple test.
>> I edited the 1-1 example from 
>> ftp://robur.slu.se/pub/Linux/net-development/pktgen-testing/examples/ 
>> .  The results with and without the patch are below. 
> 
> It looks like you ran pktgen on the embedded system, which exercised 
> only the transmit path. Auke indicated that the lockup was in the RU. 
> Have you run pktgen on a test system to fire packets at the embedded 
> system at max rate? Also test what happens when you fire packets in both 
> directions simultaneously.
> 
It appears that running pktgen between my pc and the embedded device at the same time eventually hangs the RU.  I will 
be looking into this failure in detail and report back when I know more.  Thanks for bearing with me on this!
-Ack